반응형

전체 글 903

Pwn2Own 2017에서 발견된 리눅스 커널 취약점 CVE-2017-7184 수정돼

Pwn2Own 2017에서 발견된 리눅스 커널 취약점 CVE-2017-7184 수정돼알약 블로그 http://blog.alyac.co.kr/1046 -- 우분투 16.04, 리눅스민트 18/18.1 : 최신 커널 4.4.0-72 또는 4.8.0-46 으로 업데이트 우분투 14.04, 리눅스민트 17.3, 하모니카 2.1 : 최신 커널 4.4.0-72 로 업데이트 데비안 8 제시, LMDE 2 : 지난 커널 3.16.39-1+deb8u2 에서 아직 업데이트 없음 ㅠㅠ 데비안 및 우분투는 터미널에서 $ sudo apt-get update && sudo apt-get dist-upgrade 를 통해 업데이트 → 재부팅 리눅스민트 및 하모니카는 업데이트 관리자 - 보기(V) - 리눅스 커널에서 해당 커널을 찾아..

리눅스용 AMD 그래픽카드 드라이버 설치에 관하여

안녕하세요. 라 누베 입니다. nVIDIA와는 달리 AMD는 리눅스용 그래픽카드 드라이버 지원이 매우 부실합니다.(nVIDIA에 나온 2017년 2월 14일자 리눅스용 독점 드라이버를 보고 정말 부러웠습니다.)게다가 AMD에서 그나마 제공하는 독점 드라이버인 카탈리스트는 호환성 문제까지 존재합니다.AMD에서는 새로운 독점 드라이버인 AMD GPU PRO를 내고 있습니다만,아주 최신의 몇 안 되는 그래픽카드만 지원하는 단점이 있습니다.AMD GPU PRO에서 지원하지 않는, 연식이 좀 된 AMD 그래픽카드 사용자로서는이런 미지원이 달갑지 않는 것이 사실입니다.(저는 AMD HD 6870, 6670, 6450 3개를 가지고 있습니다.) 우분투 14.04와 그에 기반한 리눅스민트 17.3는AMD의 카탈리스트 ..

우분투/리눅스민트/하모니카 커널 업데이트 4.4.0-70

우분투 16.04의 커널이 업데이트되었습니다. 장기지원커널 4.4 버전은 4.4.0-70 으로 업데이트되었으며, 6개월지원커널 4.8 버전은 4.8.0-44 로 업데이트되었습니다. 우분투 14.04의 커널도 업데이트되었습니다. 커널 3.13 버전은 3.13.0-113 으로 업데이트되었으며, 커널 4.4 버전은 4.4.0-70 으로 업데이트되었습니다. 데비안 8 제시 및 LMDE 2의 경우, 이번에는 커널 업데이트가 없습니다. 현재 커널의 최신버전은 3.16.39-1+deb8u2 입니다. 우분투/데비안의 커널 업데이트는 터미널에서 다음의 명령어를 통해 가능합니다.(리눅스민트/하모니카 제외) $ sudo apt-get update $ sudo apt-get dist-upgrade 리눅스민트 18/18.1은 ..

아마존 웹서비스(AWS)와 우분투 서버

*이미지 출처 : https://aws.amazon.com/ko/events/awsome-day/seoul-06-tech/ 지난 주말에 서울에서 하는 아마존 웹서비스(AWS) 교육에 참가하고 왔습니다. 중간에 도망가지 않고(?) 끝까지 남아 있었더니 50달러 쿠폰을 하나 주더군요. 그 쿠폰으로 다음과 같은 서버를 빌려서 한 번 열어보았습니다. 이 서버는 운영체제로 우분투 서버 16.04 LTS 64비트를 사용합니다. 인텔 제온 2.4Ghz CPU 코어 1개, 램 512MB, SSD 8GB로 된 구성입니다. 이 구성이 제일 싼데, 한 달에 기본적으로 6달러 정도 나갑니다. 제가 만들려는 팀스피크 서버로 돌리기에는 충분한 사양입니다^^ 미국 서부의 오리건 주에 있는 서버를 빌렸습니다.(여기가 제일 쌉니다ㅎㅎ..

데비안이나 하모니카 등에서 크롬 64비트 저장소 수동 추가

다음 내용은 LMDE 2, 즉 리눅스민트 데비안에디션 2와 하모니카(2.1)에서 테스트한 결과에 따라 작성되었습니다. LMDE 2는 데비안 8 제시에 기반하고 있으므로 데비안 8 제시에서도 유효합니다. 하모니카는 리눅스민트와 우분투에 기반하고 있으므로 리눅스민트와 우분투에서도 유효합니다. 구글은 크롬 32비트를 지원하지 않으므로, 이 내용은 64비트 운영체제에서만 유효합니다. 하모니카 64비트에서 유효하지 않은 32비트 크롬과 관련된 소스를 없애다가 적용해본 방법입니다^^ 하모니카 64비트에서 다음 내용을 진행하기 전에 별도로 32비트 크롬과 관련된 소스와 키를 모두 제거하였습니다. 이제 하모니카 64비트에서는 "크롬 설치"라고 하면 크롬이 설치됩니다. ㅎㅎ -- 데비안8, 우분투, 리눅스민트, 하모니카..

Puppy Linux (우분투 기반) 테스트 중인데...

Puppy Linux 6.0.6은 우분투 14.04 LTS 기반이며, 우분투 계열에서는 가장 가벼운 리눅스 배포판이 될 것입니다. 설치 ISO 파일의 크기는 243MB이며, 데스크탑 환경으로 JWM이라는 것을 사용합니다. 요구사양은 CPU 333MHz 및 램 64MB이나, CPU 75Mhz와 램 32MB에서도 돌아간다고 보고된 바 있습니다. 커널은 우분투에서 쓰지 않는 3.14 커널을 쓰는군요 ㅎㅎ 다운로드 : http://distro.ibiblio.org/puppylinux/puppy-tahr/iso/tahrpup%20-6.0-CE/ 2017년 2월 15일에 올라온 tahr-6.0.6-uefi.iso 파일로 설치하였습니다. 우분투 14.04 LTS 기반인데 apt가 없습니다;;; tar 파일을 받아서 ..

하모니카의 저장소가 이상합니다.

다음은 하모니카 2.1 로사 MATE버전 + Plank Dock 및 Numix 아이콘 테마 64비트 버전의 테스트 결과를 바탕으로 작성되었습니다. -- 하모니카(최신버전 2.1)는 리눅스민트17.3을 기반으로 만들었습니다. 리눅스민트는 우분투 기반이며 우분투의 저장소를 이용합니다. 그러나 다른 우분투 기반 배포판들과는 다른 점이 하나 있습니다. 그것은 바로 리눅스민트가 /etc/apt/sources.list 를 이용하지 않고, /etc/apt/sources.list.d/official-package-repositories.list 라는 별도의 저장소 파일을 만들어 사용한다는 점입니다. 그래서 리눅스민트에서는 다음과 같이 파일을 열어보면 아무것도 나오지 않는 것이 정상입니다. $ sudo nano /etc..

소프트웨어 소스, 어느 곳을 사용하시나요?

다음은 데비안/우분투/리눅스민트를 기준으로 설명합니다. 레드햇/페도라/센트OS는 해당사항이 없습니다. 개인적인 의견이 많이 가미되어 있습니다. -- 한국에서 소프트웨어 소스가 되는 곳은 카이스트에서 운영하는 kr.archive.ubuntu.com (우분투) / ftp.kr.debian.org (데비안) 네오위즈에서 운영하는 ftp.neowiz.com 어떤 고마운 분이 개인적으로 운영하던 mirror.premi.st 이 정도가 있습니다. 그 중에서 mirror.premi.st 는 최근에 아크리눅스와 라즈비안만 지원하고 기존에 지원하던 우분투를 제거해버렸지요. ㅠㅠ 그래서 우분투 저장소 목록에는 계속 존재하는데, 연결은 안 됩니다. 그런데, 저의 경우에는 카이스트와 네오위즈의 저장소는 정말 속도가 안 나옵니..

PPA 관련 2부 (데비안 8 제시 / 리눅스민트 데비안에디션 2)

1부에 이어 계속하여 2부를 이어 나가겠습니다. 1부 : http://la-nube.tistory.com/5 및 http://cafe.naver.com/bagjunggyu/125 6. PlayOnLinux 우분투에서는 16.04부터 최신버전의 플레이온리눅스를 제공합니다. 그러나 데비안8에서는 플레이온리눅스의 구버전을 제공합니다. 공식 최신버전을 사용하고자 한다면 다음과 같이 진행합니다. $ wget -q "http://deb.playonlinux.com/public.gpg" -O- | sudo apt-key add - $ sudo wget http://deb.playonlinux.com/playonlinux_jessie.list -O /etc/apt/sources.list.d/playonlinux.lis..

PPA 관련 1부 (데비안 8 제시 / 리눅스민트 데비안에디션 2)

이 글은 리눅스민트 데비안에디션 2, 즉 LMDE 2에서 테스트한 결과를 가지고 작성합니다. LMDE 2는 데비안 8 제시 기반이므로 데비안 8 제시에서도 유효합니다. 제가 사용하는 우분투 PPA를 LMDE 2에서 활용해보고자 궁리한 결과를 나누어 보겠습니다. add-apt-repository 를 쓰기 위해서는 먼저 다음의 패키지가 필요합니다. 의존성 문제와 관련하여 좀 더 편한 aptitude로 진행하였습니다. 64비트만 이걸 먼저 합니다.(필수) $ sudo dpkg --add-architecture i386 $ sudo apt-get update && sudo apt-get install apitude $ sudo aptitude install python-software-properties sof..

반응형